[FFe] Seed xdg-desktop-portal-gtk

Bug #1795959 reported by Ken VanDine on 2018-10-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
Undecided
Ken VanDine
Xenial
Medium
Ken VanDine
Bionic
Medium
Ken VanDine

Bug Description

[Impact]
* These packages can improve desktop integration of snap packages. The risk is low as nothing in the default desktop install actually exercises the portals at this time. We need to seed the portals so they are available when snaps are installed that can utilize them. Flatpak packages will also benefit.

[Test Case]
* This can be tested by using the portal-test snap

[Regression potential]
* Nothing in the default install utilizes it, so there should be no risk.

[Other Info]
* Security and MIR reviews have been completed for xdg-desktop-portal-gtk[1] and xdg-desktop-portal[2].

1. https://bugs.launchpad.net/ubuntu/+source/xdg-desktop-portal-gtk/+bug/1750069
2. https://bugs.launchpad.net/ubuntu/+source/xdg-desktop-portal/+bug/1749672

affects: xdg-desktop-portal-gtk (Ubuntu) → ubuntu-meta (Ubuntu)
Iain Lane (laney) wrote :

This makes sense, please do it.

Changed in ubuntu-meta (Ubuntu):
status: New → Triaged
Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.425

---------------
ubuntu-meta (1.425) cosmic; urgency=medium

  * Refreshed dependencies
  * Added xdg-desktop-portal-gtk to desktop-recommends (LP: #1795959)
  * Removed gdm3 from desktop [s390x]
  * Removed gnome-shell from desktop [s390x]
  * Removed ubuntu-session from desktop [s390x]

 -- Ken VanDine <email address hidden> Thu, 04 Oct 2018 13:08:21 -0400

Changed in ubuntu-meta (Ubuntu):
status: Triaged → Fix Released
description: updated
Changed in ubuntu-meta (Ubuntu Xenial):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in ubuntu-meta (Ubuntu Bionic):
assignee: nobody → Ken VanDine (ken-vandine)
Changed in ubuntu-meta (Ubuntu Xenial):
importance: Undecided → Medium
Changed in ubuntu-meta (Ubuntu Bionic):
importance: Undecided → Medium

Hello Ken, or anyone else affected,

Accepted ubuntu-meta into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.417.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-meta (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.417.2

---------------
ubuntu-meta (1.417.2) bionic; urgency=medium

  * Added xdg-desktop-portal-gtk to desktop-recommends (LP: #1795959)

 -- Ken VanDine <email address hidden> Tue, 09 Jul 2019 13:11:04 -0400

Changed in ubuntu-meta (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-meta has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Hello Ken, or anyone else affected,

Accepted ubuntu-meta into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-meta/1.361.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-meta (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Ken VanDine (ken-vandine) wrote :

Verfied on xenial, worked properly

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.361.4

---------------
ubuntu-meta (1.361.4) xenial; urgency=medium

  [ Ken VanDine ]
  * Added xdg-desktop-portal-gtk to desktop-recommends (LP: #1795959)
  * Update seed_base URL to use HTTPS instead of git+ssh

  [ Balint Reczey ]
  * Added dbus-x11 to wsl-recommends (LP: #1837466)

 -- Balint Reczey <email address hidden> Thu, 25 Jul 2019 15:34:51 +0200

Changed in ubuntu-meta (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers